summaryrefslogtreecommitdiff
path: root/Tools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Tools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh')
-rwxr-xr-xTools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/Tools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh b/Tools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh
new file mode 100755
index 0000000000..5ead812869
--- /dev/null
+++ b/Tools/dotnetcli/sdk/2.1.2/FSharp/RunFsc.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) .NET Foundation and contributors. All rights reserved.
+# Licensed under the MIT license. See LICENSE file in the project root for full license information.
+#
+
+set -e
+
+SOURCE="${BASH_SOURCE[0]}"
+while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
+ DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
+ SOURCE="$(readlink "$SOURCE")"
+ [[ "$SOURCE" != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
+done
+DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
+
+"$DIR/../../../dotnet" "$DIR/fsc.exe" "$@"